gnutls_session_get_id(3)

NAME
gnutls_session_get_id - Returns session id.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_id(gnutls_session_t session, void * session_id, size_t * session_id_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

void * session_id
    is a pointer to space to hold the session id.

size_t * session_id_size
    is the session id's size, or it will be set by the function.

DESCRIPTION
Returns the current session id. This can be used if you want to check if the next session you tried to resume was actually resumed. This is because resumed sessions have the same sessionID with the original session. Session id is some data set by the server, that identify the current session. In TLS 1.0 and SSL 3.0 session id is always less than 32 bytes.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.